Bug 970426 - [abrt] liveusb-creator-3.11.8-1.fc18: creator.py:380:_set_drive:LiveUSBError: Cannot find device None
[abrt] liveusb-creator-3.11.8-1.fc18: creator.py:380:_set_drive:LiveUSBError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:24989a4581df673d54b1c0dcf6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 22:34 EDT by igor.redhat@gmail.com
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (649 bytes, text/plain)
2013-06-03 22:35 EDT, igor.redhat@gmail.com
no flags Details
File: core_backtrace (324 bytes, text/plain)
2013-06-03 22:35 EDT, igor.redhat@gmail.com
no flags Details
File: environ (194 bytes, text/plain)
2013-06-03 22:35 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2013-06-03 22:34:59 EDT
Description of problem:
This seems to have popped up the moment I entered root password after the prompt

Version-Release number of selected component:
liveusb-creator-3.11.8-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -tt /usr/sbin/liveusb-creator
executable:     /usr/sbin/liveusb-creator
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
creator.py:380:_set_drive:LiveUSBError: Cannot find device None

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 497, in begin
    self.live.drive = self.get_selected_drive()
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 72, in <lambda>
    fset=lambda self, d: self._set_drive(d))
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 380, in _set_drive
    raise LiveUSBError(_("Cannot find device %s" % drive))
LiveUSBError: Cannot find device None

Local variables in innermost frame:
self: <liveusb.creator.LinuxLiveUSBCreator object at 0x2a2c1d0>
drive: None
Comment 1 igor.redhat@gmail.com 2013-06-03 22:35:03 EDT
Created attachment 756609 [details]
File: backtrace
Comment 2 igor.redhat@gmail.com 2013-06-03 22:35:05 EDT
Created attachment 756610 [details]
File: core_backtrace
Comment 3 igor.redhat@gmail.com 2013-06-03 22:35:09 EDT
Created attachment 756611 [details]
File: environ
Comment 4 Luke Macken 2013-06-03 23:38:42 EDT
This looks kind of like a race condition. Do you recall if you plugged in or unplugged the USB device when you were loading the liveusb-creator? Are you able to reproduce this issue every time you launch it?
Comment 5 igor.redhat@gmail.com 2013-06-04 11:49:43 EDT
I did indeed plug in a USB stick shortly before this (the one I intended to copy the live image to). And no, I am not able to reproduce this.
Comment 6 Fedora End Of Life 2013-12-21 08:50:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:39:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.